5.1 system running, but error compiling further packages (e.g. mc)

Miguel Bazdresch lfs-01 at thewizardstower.org
Mon Mar 29 10:56:06 PST 2004


* hh09 at onlinehome.de <hh09 at onlinehome.de> [2004-03-29 20:39]:
> Miguel Bazdresch <lfs-01 at thewizardstower.org> schrieb am 29.03.2004,
> 17:11:53:
> > * hh09 at onlinehome.de  [2004-03-29 17:03]:
> > > compiling a package such as mc leads to breaks, because of missing bison
> > > resp. flex. 
> > > reinstalling flex or bison isn't possible: each is depending on the
> > > other to be installed first in some way (lex?).
> > 
> > First, you probably should be doing LFS 5.0, not 5.1, which doesn't
> > exist, nor 5.1-pre, which is unstable :(
> > 
> > Second, it'd be great if you could show us exactly what you are doing:
> > which version of mc, which compilation steps, and especially, what
> > *exact* errors you're getting. See the faq on how to most efficiently
> > report errors.
> 
> fine Miguel,
 
I get the feeling my message offended you -- if so, apologies, wasn't my
intention. Consider the point of view of someone who might take time to help
you -- when you say "compiling a package such as mc leads to breaks"
doesn't give the info one needs to determine what's going on.

> typically:  mv intl/*.o stage2/intl
>             mv: cannot stat `intl/*.o': No such file or directory
>             make[2]: [stage2-start] Error 1 (ignored)

Safe to ignore.

> therafter with glibc: (remember: versions etc exactly conc. 51p-book)

You need to be aware that the main problem with 5.1-pre is that its
glibc is not guaranteed to work.

>           make[2]: [/tools/libexec/pt_chown] Error 1 (ignored)

Safe to ignore

> ... just to interrupt reporting here, informations ok and readable?

Yes. And about those mc errors? Also be sure to try the method Chris
gave to upgrade flex and bison.

-- 
Miguel Bazdresch
http://thewizardstower.org/



More information about the lfs-support mailing list